package com.goldenwater.slgc.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slgc.domain.RelPustAd;
import com.goldenwater.slgc.mapper.RelPustAdMapper;
import com.goldenwater.slgc.service.RelPustAdService;

/** 水闸行政信息关联 业务实现 */
@Service
public class RelPustAdServiceImpl implements RelPustAdService {
    @Autowired
    private RelPustAdMapper relPustAdMapper;

    @Override
    public List<RelPustAd> selectRelPustAdList(RelPustAd relPustAd) {
        return relPustAdMapper.selectRelPustAdList(relPustAd);
    }

    @Override
    public RelPustAd selectRelPustAdById(RelPustAd relPustAd) {
        return relPustAdMapper.selectRelPustAdById(relPustAd);
    }

    @Override
    public int deleteRelPustAdById(RelPustAd relPustAd) {
        return relPustAdMapper.deleteRelPustAdById(relPustAd);
    }

    @Override
    public int insertRelPustAd(RelPustAd relPustAd) {
        return relPustAdMapper.insertRelPustAd(relPustAd);
    }

    @Override
    public int updateRelPustAd(RelPustAd relPustAd) {
        return relPustAdMapper.updateRelPustAd(relPustAd);
    }
}
